package com.steering.mes.mcp.entity;
/**
 * 数据库表HTT_HHEAT_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2019-03-13
 */
@SuppressWarnings("serial")
public class HttHheatResultEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 热处理生产批次号
     */
    private String zyBatchId = "";
    /**
     * 热处理生产批次号序号
     */
    private String prodIndex = "";
    /**
     * 热处理订单编号
     */
    private String proPlanId = "";
    /**
     * 热处理订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 装炉时间
     */
    private String hheatEnterTime = "";
    /**
     * 出炉时间
     */
    private String hheatOutTime = "";
    /**
     * 出口温度
     */
    private String hheatExitTemp = "";
    /**
     * 节拍
     */
    private String hheatTaktTime = "";
    /**
     * 均热一区炉温曲线(路径)
     */
    private String hheatCruve1 = "";
    /**
     * 均热二区炉温曲线(路径)
     */
    private String hheatCruve2 = "";
    /**
     * 均热三区炉温曲线(路径)
     */
    private String hheatCruve3 = "";
    /**
     * 加热一区炉温曲线(路径)
     */
    private String hheatCruve4 = "";
    /**
     * 加热二区炉温曲线(路径)
     */
    private String hheatCruve5 = "";
    /**
     * 加热三区炉温曲线(路径)
     */
    private String hheatCruve6 = "";
    /**
     * 均热一区平均温度
     */
    private String hheatAvgTemp1 = "";
    /**
     * 均热二区平均温度
     */
    private String hheatAvgTemp2 = "";
    /**
     * 均热三区平均温度
     */
    private String hheatAvgTemp3 = "";
    /**
     * 加热一区平均温度
     */
    private String hheatAvgTemp4 = "";
    /**
     * 加热二区平均温度
     */
    private String hheatAvgTemp5 = "";
    /**
     * 加热三区平均温度
     */
    private String hheatAvgTemp6 = "";
    /**
     * 作业支数（有效生产数量）
     */
    private String proNum = "";
    /**
     * 作业重量
     */
    private String proWt = "";
    /**
     * 废品支数
     */
    private String failNum = "";
    /**
     * 废品重量
     */
    private String failWt = "";
    /**
     * 离线支数
     */
    private String offlineNum = "";
    /**
     * 离线重量
     */
    private String offlineWt = "";
    /**
     * 返线支数
     */
    private String reNum = "";
    /**
     * 返线重量
     */
    private String reWt = "";
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode = "";
    /**
     * 采集/录入时间
     */
    private String colTime = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 操作时间
     */
    private String createTime = "";
    /**
     * 监制人
     */
    private String producer = "";
    /**
     * 监制到场时间
     */
    private String producerTime = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 热处理次数
     */
    private String processSeq = "";
    /**
     * 炉内总时间(分钟)
     */
    private String totalTime = "";
    /**
     * 冷却方式
     */
    private String coolingType = "";
    /**
     * 热处理工艺制度
     */
    private String httTechnology = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 热处理生产批次号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 热处理生产批次号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 热处理生产批次号序号
     * @return value
     */
    public String getProdIndex() {
        return prodIndex;
    }

    /**
     * 热处理生产批次号序号
     * @param prodIndex value
     */
    public void setProdIndex(String prodIndex) {
        this.prodIndex = prodIndex;
    }

    /**
     * 热处理订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 热处理订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 热处理订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 热处理订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 装炉时间
     * @return value
     */
    public String getHheatEnterTime() {
        return hheatEnterTime;
    }

    /**
     * 装炉时间
     * @param hheatEnterTime value
     */
    public void setHheatEnterTime(String hheatEnterTime) {
        this.hheatEnterTime = hheatEnterTime;
    }

    /**
     * 出炉时间
     * @return value
     */
    public String getHheatOutTime() {
        return hheatOutTime;
    }

    /**
     * 出炉时间
     * @param hheatOutTime value
     */
    public void setHheatOutTime(String hheatOutTime) {
        this.hheatOutTime = hheatOutTime;
    }

    /**
     * 出口温度
     * @return value
     */
    public String getHheatExitTemp() {
        return hheatExitTemp;
    }

    /**
     * 出口温度
     * @param hheatExitTemp value
     */
    public void setHheatExitTemp(String hheatExitTemp) {
        this.hheatExitTemp = hheatExitTemp;
    }

    /**
     * 节拍
     * @return value
     */
    public String getHheatTaktTime() {
        return hheatTaktTime;
    }

    /**
     * 节拍
     * @param hheatTaktTime value
     */
    public void setHheatTaktTime(String hheatTaktTime) {
        this.hheatTaktTime = hheatTaktTime;
    }

    /**
     * 均热一区炉温曲线(路径)
     * @return value
     */
    public String getHheatCruve1() {
        return hheatCruve1;
    }

    /**
     * 均热一区炉温曲线(路径)
     * @param hheatCruve1 value
     */
    public void setHheatCruve1(String hheatCruve1) {
        this.hheatCruve1 = hheatCruve1;
    }

    /**
     * 均热二区炉温曲线(路径)
     * @return value
     */
    public String getHheatCruve2() {
        return hheatCruve2;
    }

    /**
     * 均热二区炉温曲线(路径)
     * @param hheatCruve2 value
     */
    public void setHheatCruve2(String hheatCruve2) {
        this.hheatCruve2 = hheatCruve2;
    }

    /**
     * 均热三区炉温曲线(路径)
     * @return value
     */
    public String getHheatCruve3() {
        return hheatCruve3;
    }

    /**
     * 均热三区炉温曲线(路径)
     * @param hheatCruve3 value
     */
    public void setHheatCruve3(String hheatCruve3) {
        this.hheatCruve3 = hheatCruve3;
    }

    /**
     * 加热一区炉温曲线(路径)
     * @return value
     */
    public String getHheatCruve4() {
        return hheatCruve4;
    }

    /**
     * 加热一区炉温曲线(路径)
     * @param hheatCruve4 value
     */
    public void setHheatCruve4(String hheatCruve4) {
        this.hheatCruve4 = hheatCruve4;
    }

    /**
     * 加热二区炉温曲线(路径)
     * @return value
     */
    public String getHheatCruve5() {
        return hheatCruve5;
    }

    /**
     * 加热二区炉温曲线(路径)
     * @param hheatCruve5 value
     */
    public void setHheatCruve5(String hheatCruve5) {
        this.hheatCruve5 = hheatCruve5;
    }

    /**
     * 加热三区炉温曲线(路径)
     * @return value
     */
    public String getHheatCruve6() {
        return hheatCruve6;
    }

    /**
     * 加热三区炉温曲线(路径)
     * @param hheatCruve6 value
     */
    public void setHheatCruve6(String hheatCruve6) {
        this.hheatCruve6 = hheatCruve6;
    }

    /**
     * 均热一区平均温度
     * @return value
     */
    public String getHheatAvgTemp1() {
        return hheatAvgTemp1;
    }

    /**
     * 均热一区平均温度
     * @param hheatAvgTemp1 value
     */
    public void setHheatAvgTemp1(String hheatAvgTemp1) {
        this.hheatAvgTemp1 = hheatAvgTemp1;
    }

    /**
     * 均热二区平均温度
     * @return value
     */
    public String getHheatAvgTemp2() {
        return hheatAvgTemp2;
    }

    /**
     * 均热二区平均温度
     * @param hheatAvgTemp2 value
     */
    public void setHheatAvgTemp2(String hheatAvgTemp2) {
        this.hheatAvgTemp2 = hheatAvgTemp2;
    }

    /**
     * 均热三区平均温度
     * @return value
     */
    public String getHheatAvgTemp3() {
        return hheatAvgTemp3;
    }

    /**
     * 均热三区平均温度
     * @param hheatAvgTemp3 value
     */
    public void setHheatAvgTemp3(String hheatAvgTemp3) {
        this.hheatAvgTemp3 = hheatAvgTemp3;
    }

    /**
     * 加热一区平均温度
     * @return value
     */
    public String getHheatAvgTemp4() {
        return hheatAvgTemp4;
    }

    /**
     * 加热一区平均温度
     * @param hheatAvgTemp4 value
     */
    public void setHheatAvgTemp4(String hheatAvgTemp4) {
        this.hheatAvgTemp4 = hheatAvgTemp4;
    }

    /**
     * 加热二区平均温度
     * @return value
     */
    public String getHheatAvgTemp5() {
        return hheatAvgTemp5;
    }

    /**
     * 加热二区平均温度
     * @param hheatAvgTemp5 value
     */
    public void setHheatAvgTemp5(String hheatAvgTemp5) {
        this.hheatAvgTemp5 = hheatAvgTemp5;
    }

    /**
     * 加热三区平均温度
     * @return value
     */
    public String getHheatAvgTemp6() {
        return hheatAvgTemp6;
    }

    /**
     * 加热三区平均温度
     * @param hheatAvgTemp6 value
     */
    public void setHheatAvgTemp6(String hheatAvgTemp6) {
        this.hheatAvgTemp6 = hheatAvgTemp6;
    }

    /**
     * 作业支数（有效生产数量）
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业支数（有效生产数量）
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支数
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 离线支数
     * @return value
     */
    public String getOfflineNum() {
        return offlineNum;
    }

    /**
     * 离线支数
     * @param offlineNum value
     */
    public void setOfflineNum(String offlineNum) {
        this.offlineNum = offlineNum;
    }

    /**
     * 离线重量
     * @return value
     */
    public String getOfflineWt() {
        return offlineWt;
    }

    /**
     * 离线重量
     * @param offlineWt value
     */
    public void setOfflineWt(String offlineWt) {
        this.offlineWt = offlineWt;
    }

    /**
     * 返线支数
     * @return value
     */
    public String getReNum() {
        return reNum;
    }

    /**
     * 返线支数
     * @param reNum value
     */
    public void setReNum(String reNum) {
        this.reNum = reNum;
    }

    /**
     * 返线重量
     * @return value
     */
    public String getReWt() {
        return reWt;
    }

    /**
     * 返线重量
     * @param reWt value
     */
    public void setReWt(String reWt) {
        this.reWt = reWt;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 操作时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 监制人
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制人
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 监制到场时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制到场时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 热处理次数
     * @return value
     */
    public String getProcessSeq() {
        return processSeq;
    }

    /**
     * 热处理次数
     * @param processSeq value
     */
    public void setProcessSeq(String processSeq) {
        this.processSeq = processSeq;
    }

    /**
     * 炉内总时间(分钟)
     * @return value
     */
    public String getTotalTime() {
        return totalTime;
    }

    /**
     * 炉内总时间(分钟)
     * @param totalTime value
     */
    public void setTotalTime(String totalTime) {
        this.totalTime = totalTime;
    }

    /**
     * 冷却方式
     * @return value
     */
    public String getCoolingType() {
        return coolingType;
    }

    /**
     * 冷却方式
     * @param coolingType value
     */
    public void setCoolingType(String coolingType) {
        this.coolingType = coolingType;
    }

    /**
     * 热处理工艺制度
     * @return value
     */
    public String getHttTechnology() {
        return httTechnology;
    }

    /**
     * 热处理工艺制度
     * @param httTechnology value
     */
    public void setHttTechnology(String httTechnology) {
        this.httTechnology = httTechnology;
    }

    public String getHttType() {
        return httType;
    }

    public void setHttType(String httType) {
        this.httType = httType;
    }

    private String httType;
}